Subject: [secdir] Review of draft-salowey-secsh-uri-00.txt

From: Rob Austein <[email-masked]>
Date: Sun, 30 Jan 2011 08:17:09 -0500

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

This draft defines URI syntax and semantics for ssh.  The proposed
mechanism is straightforward, and the authors have shown laudable
restraint in defining only the minimum necessary to do the job.

I have no serious security concerns regarding this document, but did
notice one omission: the (otherwise quite good) discussion of the
fingerprint option gives no guidance on interaction with RFC 4255.
Such a discussion need not be very long (a paragraph would do), but
should cover both the presence and absence of a verified DNSSEC
signature for the SSHFP RRset, as the recommendations presumably will
be different for those two cases.